# Class yii\db\conditions\InCondition

Inheritance | yii\db\conditions\InCondition
Implements | yii\db\conditions\ConditionInterface
Available since version | 2.0.14
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/db/conditions/InCondition.php

Class InCondition represents `IN` condition.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() | SimpleCondition constructor | yii\db\conditions\InCondition
fromArrayDefinition() | Creates object by array-definition as described in Query Builder – Operator format guide article. | yii\db\conditions\InCondition
getColumn() |  | yii\db\conditions\InCondition
getOperator() |  | yii\db\conditions\InCondition
getValues() |  | yii\db\conditions\InCondition

## Method Details

__construct() public method

SimpleCondition constructor

public void __construct ( $column, $operator, $values )
$column |  |
$operator | string | The operator to use (e.g. `IN` or `NOT IN`)
$values |  |

fromArrayDefinition() public static method

Creates object by array-definition as described in Query Builder – Operator format guide article.

public static $this fromArrayDefinition ( $operator, $operands )
$operator | string | Operator in uppercase.
$operands | array | Array of corresponding operands
throws | yii\base\InvalidArgumentException | if wrong number of operands have been given.

getColumn() public method

public mixed getColumn ( )

getOperator() public method

public string getOperator ( )

getValues() public method

public yii\db\ExpressionInterface[]|string[]|integer[] getValues ( )